import { Event, FileSystemProviderCapabilities, Uri } from '@opensumi/ide-core-browser';
import { IReadableStream } from '@opensumi/ide-utils/lib/stream';
import { FileChangeEvent, FileStat, FileSystemProvider, FileType } from '../common';
export declare class ShadowFileSystemProvider implements FileSystemProvider {
    unwatch?(watcherId: number): void | Promise<void>;
    readFileStream(uri: Uri): Promise<IReadableStream<Uint8Array>>;
    capabilities: FileSystemProviderCapabilities;
    onDidChangeCapabilities: Event<any>;
    readonly: boolean;
    shadowFiles: Map<string, Uint8Array>;
    private fileChangeEmitter;
    onDidChangeFile: Event<FileChangeEvent>;
    watch(uri: Uri, options: {
        recursive: boolean;
        excludes: string[];
    }): number;
    stat(uri: Uri): Promise<FileStat>;
    readDirectory(uri: Uri): [string, FileType][] | Promise<[string, FileType][]>;
    createDirectory(uri: Uri): void;
    readFile(uri: Uri): Uint8Array;
    writeFile(uri: Uri, content: Uint8Array, options: {
        create: boolean;
        overwrite: boolean;
    }): void;
    delete(uri: Uri, options: {
        recursive: boolean;
        moveToTrash?: boolean;
    }): void;
    rename(oldUri: Uri, newUri: Uri, options: {
        overwrite: boolean;
    }): void;
    copy?(source: Uri, destination: Uri, options: {
        overwrite: boolean;
    }): void;
    exists?(uri: Uri | Uri): Promise<boolean>;
    access?(uri: Uri, mode: number): Promise<boolean>;
}
//# sourceMappingURL=shadow-file-system.provider.d.ts.map