"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getFileTypeByExt = exports.EXT_LIST_IMAGE = exports.EXT_LIST_VIDEO = void 0;
exports.EXT_LIST_VIDEO = ['mp4', 'webm', 'mkv', 'mov', 'mts', 'flv', 'avi', 'wmv'];
exports.EXT_LIST_IMAGE = [
    'png',
    'gif',
    'jpg',
    'jpeg',
    'svg',
    'bmp',
    'avif',
    'cr2',
    'cr3',
    'dng',
    'flif',
    'heic',
    'icns',
    'jxl',
    'jpm',
    'jpx',
    'nef',
    'raf',
    'rw2',
    'tif',
    'orf',
    'webp',
    'apng',
];
function getFileTypeByExt(ext) {
    let type = "text" /* EditorFileType.Text */;
    if (!ext) {
        return type;
    }
    if (exports.EXT_LIST_IMAGE.indexOf(ext) !== -1) {
        type = "image" /* EditorFileType.Image */;
    }
    else if (exports.EXT_LIST_VIDEO.indexOf(ext) !== -1) {
        type = "video" /* EditorFileType.Video */;
    }
    else if (ext && ['xml'].indexOf(ext) === -1) {
        type = "binary" /* EditorFileType.Binary */;
    }
    return type;
}
exports.getFileTypeByExt = getFileTypeByExt;
//# sourceMappingURL=file-ext.js.map